net.snowflake.client.jdbc

## Class SnowflakeFileTransferAgent.DownloadCommandFacade

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeFileTransferAgent.DownloadCommandFacade

Direct Known Subclasses:
  SnowflakeFileTransferAgent.DownloadCommandEncryptionFacade

Enclosing class:
  SnowflakeFileTransferAgent

    public class SnowflakeFileTransferAgent.DownloadCommandFacade
    extends Object

A class for encapsulating the columns to return for the download command

### Constructor Summary

Constructors
Constructor and Description
`DownloadCommandFacade(String file, String resultStatus, String errorDetails, long size)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DownloadCommandFacade

    public DownloadCommandFacade(String file,
                                 String resultStatus,
                                 String errorDetails,
                                 long size)